function [x,iter,stimaerrore] = newton(funzione,derivata,x,tol,maxit,varargin)
%
% [x,iter,stimaerrore] = newton(funzione,derivata,x,tol,maxit,varargin)
%
iter = 0;
stimaerrore = -feval(derivata,x,varargin{:})\feval(funzione,x,varargin{:});
while (norm(stimaerrore) > tol) & (iter < maxit)
  x = x+stimaerrore;
  iter = iter+1;
  stimaerrore = -feval(derivata,x,varargin{:})\feval(funzione,x,varargin{:});
end
stimaerrore = norm(stimaerrore);
if (stimaerrore > tol)
  warning('Impossibile raggiungere la tolleranza richiesta')
  warning('entro il numero massimo di iterazioni consentito.')
end
